package com.persagy.bdtp.adm.service;

import com.persagy.bdtp.adm.entity.oldadm.OBuilding;
import com.persagy.bdtp.adm.entity.oldadm.OEquip;
import com.persagy.bdtp.adm.entity.oldadm.OProject;
import com.persagy.bdtp.adm.entity.oldadm.OSpace;

import java.util.List;

/**
 * 从老adm查询数据
 */
public interface IQueryFromOldAdm {

	/**
	 * 登录系统
	 * @return token
	 */
	String login();

	List<OProject> queryProject(String token, String groupCode, String projectId);

	List<OBuilding> queryBdAnFl(String token, String groupCode, String projectId);

	List<OSpace> querySpace(String token, String groupCode, String projectId);

	List<OEquip> queryEquip(String token, String groupCode, String projectId);

}
